# Review: https://bugzilla.redhat.com/show_bug.cgi?id=513420

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           whaawmp
Version:        0.2.12.1
Release:        3%{?dist}
Summary:        Lightweight Media Player

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://home.gna.org/whaawmp/
Source0:        http://download.gna.org/whaawmp/%{version}/whaawmp-%{version}.tar.bz2
# fedora bug #539608
Patch0:         %{name}-playnext.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:   python-devel
BuildRequires:   python-setuptools 
BuildRequires:   desktop-file-utils
BuildRequires:   gettext intltool
Requires:        python >= 2.5, pygtk2-libglade >= 2.10, pyxdg
Requires:        dbus-python
Requires:        gstreamer-python >= 0.10, gstreamer-plugins-good >= 0.10

%description
Whaaw! Media Player is a lightweight media player that supports fullscreen 
mode, seeking, changing video colour settings and more. It will play any audio
or video files that GStreamer can play. It is intended to be a basic media 
player without any GNOME dependencies.


%prep
%setup -q
%patch0
# remove shebangs
for Files in src/thumbnailer.py src/whaawmp.py; do
  %{__sed} -i.orig -e 1d ${Files}
  touch -r ${Files}.orig ${Files}
  %{__rm} ${Files}.orig
done

# fix desktop file
sed -i 's!audio/x-wav;audio/x-wav;!audio/x-wav;!' %{name}.desktop
sed -i 's!False!false!' %{name}.desktop


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

desktop-file-install                                       \
  --delete-original                                        \
  --remove-key=Encoding                                    \
  --remove-category=Application                            \
  --add-category=GTK                                       \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications          \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_bindir}/%{name}
%{_bindir}/whaaw-thumbnailer
%{python_sitelib}/%{name}*.egg-info
%{python_sitelib}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
# We need to own this dir although it's already owned by Thunar
%dir %{_datadir}/thumbnailers/
%{_datadir}/thumbnailers/whaaw-thumbnailer.desktop


%changelog
* Sat Nov 21 2009 Thomas Spura <tomspur@fedoraproject.org> - 0.2.12.1-3
- add playnext patch (fixes #539608)

* Sun Sep 06 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.12.1-2
- Rework summary and description

* Thu Jul 16 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.12.1-1
- Update to 0.2.12.1

* Sat Dec 20 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.10.1-1
- Update to 0.2.10.1

* Sun Jun 22 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.10-1
- Initial Fedora Package
